## ros-melodic-rqt-joint-trajectory-controller 0.17.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_joint_trajectory_controller)

find_package(catkin REQUIRED COMPONENTS)
catkin_python_setup()
catkin_package()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS
  scripts/rqt_joint_trajectory_controller
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-joint-trajectory-controller (0.17.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.17.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.16.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.15.1-1stretch) stretch; urgency=high

  * Merge pull request #452 <https://github.com/ros-controls/ros_controllers/issues/452> from etsiogas/add-robot-ns-to-gui
    Added robot namespace to gui of rqt_joint_trajectory_controller
  * [rqt joint trajectory controller] Python3 fixes (#458 <https://github.com/ros-controls/ros_controllers/issues/458>)
    - Use explicit relative import (with leading dot)
    - print function with parentheses
  * Contributors: Bence Magyar, Bjar Ne, etsiogas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.15.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.3-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.0-1stretch) stretch; urgency=high

  * fix license string
  * Contributors: Patrick Holthaus

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.0-1stretch) stretch; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.2-1stretch) stretch; urgency=high

  * Changes in import of Qt modules
  * Contributors: Carlos J. Rosales Gallegos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.10.0-1stretch) stretch; urgency=high

  * Adapt to new controller_manager_msgs/ControllerState message definition
  * Add vertical scrollbar to joints list
    - Add vertical scrollbar to joints list that appears only when required,
    i.e., when the plugin size cannot accommodate all controller joints.
    - Remove vertical spacer at the bottom of the plugin.
  * Clear controllers combo on cm change
    Clear the list of running joint trajectory controllers when the
    controller manager selection changes. This prevents potential conflicts when
    multiple controller managers have controllers with the same names.
  * Fail gracefully if URDF is not loaded
    Implement lazy loading of joint limits from URDF.
    This allows to start rqt_joint_trajectory_controller on an otherwise empty ROS
    node graph without crashing.
  * Save and restore plugin settings
    - Save current controller_manager and controller selection on plugin close
    - Restore last selection if controller manager and controller are running
  * Stricter controller validation
    Only display in the controller combo box those controllers that are running
    _and_ have position and velocity limits specified in the URDF. In the absence
    of limits information, it's not posible to properly initialize the GUI sliders.
  * Fix broken URDF joint limits parsing
  * Don't choke on missing URDF vel limits


=== debian/control ===
Source: ros-melodic-rqt-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/rqt_joint_trajectory_controller
Standards-Version: 3.9.2

Package: ros-melodic-rqt-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-controller-manager-msgs, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-trajectory-msgs
Description: Graphical frontend for interacting with joint_trajectory_controller instances.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-joint-trajectory-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rqt-joint-trajectory-controller 0.17.3

=== debian/changelog ===
ros-melodic-rqt-joint-trajectory-controller (0.17.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.17.2-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 20 Jan 2021 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.17.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.17.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.16.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.16.0-1bionic) bionic; urgency=high

  * Bump CMake version to prevent CMP0048
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.15.1-1bionic) bionic; urgency=high

  * Merge pull request #452 <https://github.com/ros-controls/ros_controllers/issues/452> from etsiogas/add-robot-ns-to-gui
    Added robot namespace to gui of rqt_joint_trajectory_controller
  * [rqt joint trajectory controller] Python3 fixes (#458 <https://github.com/ros-controls/ros_controllers/issues/458>)
    - Use explicit relative import (with leading dot)
    - print function with parentheses
  * Contributors: Bence Magyar, Bjar Ne, etsiogas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.15.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.3-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.2-1bionic) bionic; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.14.0-1bionic) bionic; urgency=high

  * fix license string
  * Contributors: Patrick Holthaus

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.13.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.3-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.2-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.12.0-1bionic) bionic; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.2-1bionic) bionic; urgency=high

  * Changes in import of Qt modules
  * Contributors: Carlos J. Rosales Gallegos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.1-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.11.0-1bionic) bionic; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 02 May 2016 23:00:00 -0000

ros-melodic-rqt-joint-trajectory-controller (0.10.0-1bionic) bionic; urgency=high

  * Adapt to new controller_manager_msgs/ControllerState message definition
  * Add vertical scrollbar to joints list
    - Add vertical scrollbar to joints list that appears only when required,
    i.e., when the plugin size cannot accommodate all controller joints.
    - Remove vertical spacer at the bottom of the plugin.
  * Clear controllers combo on cm change
    Clear the list of running joint trajectory controllers when the
    controller manager selection changes. This prevents potential conflicts when
    multiple controller managers have controllers with the same names.
  * Fail gracefully if URDF is not loaded
    Implement lazy loading of joint limits from URDF.
    This allows to start rqt_joint_trajectory_controller on an otherwise empty ROS
    node graph without crashing.
  * Save and restore plugin settings
    - Save current controller_manager and controller selection on plugin close
    - Restore last selection if controller manager and controller are running
  * Stricter controller validation


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
